<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'EducationStats',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer>
    <section class="stat-section-wrapper">
      <SlpTypography tag="h2" variant="heading2-bold">{{
        data.header
      }}</SlpTypography>
      <div class="stat-container">
        <article
          v-for="stat in data.stats"
          :key="stat.spotlight_text"
          class="stat"
        >
          <p>
            <SlpTypography
              tag="span"
              variant="heading1-bold"
              class="spotlight"
              >{{ stat.spotlight_text }}</SlpTypography
            >
            <SlpTypography tag="span" variant="heading5"
              >{{ stat.text }}
            </SlpTypography>
          </p>
        </article>
      </div>
    </section>
  </SlpContainer>
</template>

<style lang="scss" scoped>
.stat-section-wrapper {
  background: #f6f3fe;
  padding: $spacing-96 0;
  position: relative;

  &:before {
    content: '';
    position: absolute;
    height: 100%;
    width: 9999px;
    top: 0;
    right: 0;
    background: #f6f3fe;
    z-index: -1;
  }

  &:after {
    content: '';
    position: absolute;
    height: 100%;
    width: 9999px;
    top: 0;
    left: 0;
    background: #f6f3fe;
    z-index: -1;
  }
}

.stat-container {
  display: flex;
  align-items: stretch;
  flex-direction: row;
  margin-top: $spacing-24;
  gap: 32px;

  @media (max-width: $breakpoint-md) {
    flex-direction: column;
  }
}

.stat {
  background: $color-surface-50;
  border-radius: 24px;
  padding: $spacing-32;

  .spotlight {
    margin-bottom: $spacing-8;
  }

  p {
    display: flex;
    flex-direction: column;
  }
}
</style>
